# Gimp.palettes_popup

    function palettes_popup(palette_callback: String, popup_title: String, initial_palette: Gimp.Palette, parent_window: Uint8Array): Boolean {
        // Gjs wrapper for gimp_palettes_popup()
    }

Invokes the Gimp palette selection dialog.

Opens a dialog letting a user choose a palette.

palette_callback

  The callback PDB proc to call when user chooses a palette.

popup_title

  Title of the palette selection dialog.

initial_palette

  The palette to set as the initial choice.

parent_window

  An optional parent window handle for the popup to be set transient to.

Returns

  TRUE on success.